//
//  AnyTransition+scaleAndFade.swift
//  kaomojiEmoticonKeyboard
//
//  Created by Robert McGovern on 16/02/2021.
//

import SwiftUI

public extension AnyTransition {
    static var scaleAndFade: AnyTransition {
        let insertion = AnyTransition.scale
            .combined(with: .opacity)
        let removal = AnyTransition.scale
            .combined(with: .opacity).animation(Animation.easeOut.speed(10))
        return .asymmetric(insertion: insertion, removal: removal)
    }
}
