//
//  Bindig+didSet.swift
//  kaomojiEmoticonKeyboard
//
//  Created by Robert McGovern on 26/11/2020.
//

import SwiftUI

public extension Binding {
    func didSet(execute: @escaping (Value) -> Void) -> Binding {
        return Binding(
            get: {
                return self.wrappedValue
            },
            set: {
                self.wrappedValue = $0
                execute($0)
            }
        )
    }
}

